=== debian/changelog ===
arith-utils (1.0.20131222) stable; urgency=low

  * Updated the compilation to use the gfortran compiler, instead of g77.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 22 Dec 2013 19:30:51 -0200

arith-utils (1.0.20080410) stable; urgency=low

  * Included the utilities rani and ranr, and updated the documentation.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 10 Apr 2008 00:30:17 -0300

arith-utils (1.0.20080409) stable; urgency=low

  * Updated the package to the Etch Debian standards.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Wed,  9 Apr 2008 00:00:16 -0300

arith-utils (1.0.20070415) stable; urgency=low

  * Included the tool mult, to multiply numbers together.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Sun, 15 Apr 2007 00:22:45 -0300

arith-utils (1.0.20070403) stable; urgency=low

  * Initial Release.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Tue,  3 Apr 2007 11:38:50 -0300

Local variables:
mode: debian-changelog
End:
