=== debian/control ===
Source: arith-utils
Section: utils
Priority: optional
Maintainer: Jorge L. deLyra <delyra@fma.if.usp.br>
Build-Depends: debhelper (>= 5.0.0)
Standards-Version: 3.6.2

Package: arith-utils
Architecture: any
Depends: tcsh
Description: A small set of shell utilities to perform on the command
 line arithmetic operations over sets of numbers, such as sums and
 averages, and to extract random numbers from the Linux kernel's
 random number generator.
