## arith-utils 1.0.20140130

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # This makefile closes the "arith-utils" binary package; the
 # _ main part of its structure is meant to install everything
 # _ within the debian/package subdirectory.
+#
+# Making only the amd64 package, from now on.
 
 # Edited for Debian GNU/Linux.
 DESTDIR = 
@@ -128,9 +130,11 @@
 	chown root:root $(LOC)/$(NAME)_*.tar.gz
 	chown root:root $(LOC)/$(NAME)_*.deb
 # Copy remotely and backwards because of authorization issues.
+#
+#	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_i386.deb $(DIR)/binary-i386/"
+#
 	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.dsc $(DIR)/source/"
 	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*.tar.gz $(DIR)/source/"
-	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_i386.deb $(DIR)/binary-i386/"
 	ssh $(DHOST) "cp -pf $(LOC)/$(NAME)_*_amd64.deb $(DIR)/binary-amd64/"
 # Refresh the sites remotely because of authorization issues.
 	ssh $(DHOST) "cd $(DSITE) ; ./MakePackagesFiles"
