=== debian/changelog ===
arith-utils (1.0.20140130) stable; urgency=low

  * Fixed the read operations in order to fix problems in 64-bit systems.

 -- Jorge L. deLyra <delyra@fma.if.usp.br>  Thu, 30 Jan 2014 13:22:05 -0200
